> ## Documentation Index
> Fetch the complete documentation index at: https://docs.myme.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Show a tenant

> Returns the tenant row plus its current per-tenant quota overrides (null when no override is configured) plus a slice of recent `system.activity` items for the tenant. Platform-admin only.



## OpenAPI

````yaml /openapi.json get /admin/tenants/{id}
openapi: 3.1.0
info:
  title: Marfa API
  version: 4.2.0
  description: Typed data layer for structured personal data
servers: []
security: []
paths:
  /admin/tenants/{id}:
    get:
      tags:
        - Admin
      summary: Show a tenant
      description: >-
        Returns the tenant row plus its current per-tenant quota overrides (null
        when no override is configured) plus a slice of recent `system.activity`
        items for the tenant. Platform-admin only.
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Tenant detail
          content:
            application/json:
              schema:
                type: object
                properties:
                  tenant:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                        nullable: true
                      created_at:
                        type: string
                      status:
                        type: string
                        enum:
                          - active
                          - suspended
                    required:
                      - id
                      - name
                      - created_at
                      - status
                  quotas:
                    type: object
                    nullable: true
                    properties:
                      tenant_id:
                        type: string
                      items_limit:
                        type: integer
                        nullable: true
                      webhooks_limit:
                        type: integer
                        nullable: true
                      blobs_limit:
                        type: integer
                        nullable: true
                      storage_bytes_limit:
                        type: integer
                        nullable: true
                      rate_per_minute_limit:
                        type: integer
                        nullable: true
                      updated_at:
                        type: string
                        nullable: true
                    required:
                      - tenant_id
                      - items_limit
                      - webhooks_limit
                      - blobs_limit
                      - storage_bytes_limit
                      - rate_per_minute_limit
                      - updated_at
                  recent_activity:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        severity:
                          type: string
                        summary:
                          type: string
                        created_at:
                          type: string
                      required:
                        - id
                        - severity
                        - summary
                        - created_at
                required:
                  - tenant
                  - quotas
                  - recent_activity
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unauthorized
                      message:
                        type: string
                      details:
                        type: object
                        additionalProperties:
                          nullable: true
                    required:
                      - code
                      - message
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - forbidden
                      message:
                        type: string
                      details:
                        type: object
                        additionalProperties:
                          nullable: true
                    required:
                      - code
                      - message
                required:
                  - error
        '404':
          description: Tenant not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - not_found
                      message:
                        type: string
                      details:
                        type: object
                        additionalProperties:
                          nullable: true
                    required:
                      - code
                      - message
                required:
                  - error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key or OAuth Token
      description: Pass an API key (marfa_k1_...) or OAuth access token (marfa_at_...)

````